qpid-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From conflue...@apache.org
Subject [CONF] Apache Qpid > Download
Date Thu, 12 Nov 2009 15:13:00 GMT
<html>
<head>
    <base href="http://cwiki.apache.org/confluence">
            <link rel="stylesheet" href="/confluence/s/1519/1/1/_/styles/combined.css?spaceKey=qpid&amp;forWysiwyg=true"
type="text/css">
    </head>
<body style="background-color: white" bgcolor="white">
<div id="pageContent">
<div id="notificationFormat">
<div class="wiki-content">
<div class="email">
     <h2><a href="http://cwiki.apache.org/confluence/display/qpid/Download">Download</a></h2>
     <h4>Page <b>edited</b> by             <a href="http://cwiki.apache.org/confluence/display/~jonathan.robie@redhat.com">Jonathan
Robie</a>
    </h4>
     
          <br/>
     <div class="notificationGreySide">
         <h2><a name="Download-ProductionReleases"></a>Production Releases</h2>

<p>These releases are well tested and appropriate for production use. 0.5 is the latest
release of Qpid.</p>

<p>Qpid supports the latest version of AMQP 0-10, and some components also the AMQP
0-8 and 0-9, earlier versions. The Java Broker and Client provide protocol negotiation. <a
href="http://www.apache.org/dist/qpid/" rel="nofollow">Other versions can be found here</a></p>

<p>For details on cross component compatibility among releases, see: <a href="/confluence/display/qpid/AMQP+compatibility"
title="AMQP compatibility">AMQP Release Compatibility for Qpid</a></p>

<p>If you have any questions about these releases, please mail the user list <a href="mailto:qpid-user@incubator.apache.org"
rel="nofollow">user list</a></p>

<h2><a name="Download-QpidComponents.org"></a>QpidComponents.org </h2>

<p><a href="http://QpidComponents.org" rel="nofollow">QpidComponents.org</a>
provides further components for Apache Qpid, including both persistence and management tools.
These components are open source, but are not developed as part of the Apache Qpid project
due to licensing or other restrictions.</p>

<h2><a name="Download-0.5Release"></a>0.5 Release</h2>

<h3><a name="Download-MultipleComponentPackages"></a>Multiple Component
Packages</h3>

<table class='confluenceTable'><tbody>
<tr>
<th class='confluenceTh'> Component </th>
<th class='confluenceTh'> Download </th>
<th class='confluenceTh'> AMQP 0-10 </th>
<th class='confluenceTh'> AMQP 0-8/0-9 </th>
</tr>
<tr>
<td class='confluenceTd'> Full release &amp; keys </td>
<td class='confluenceTd'> <a href="http://www.apache.org/dist/qpid/0.5/" rel="nofollow">http://www.apache.org/dist/qpid/0.5/</a>
</td>
<td class='confluenceTd'> Y </td>
<td class='confluenceTd'> Y </td>
</tr>
<tr>
<td class='confluenceTd'> C+&#43; broker &amp; client </td>
<td class='confluenceTd'> <a href="http://www.apache.org/dist/qpid/0.5/qpid-cpp-0.5.tar.gz"
rel="nofollow">http://www.apache.org/dist/qpid/0.5/qpid-cpp-0.5.tar.gz</a> </td>
<td class='confluenceTd'> Y </td>
<td class='confluenceTd'>&nbsp;</td>
</tr>
<tr>
<td class='confluenceTd'> Java broker, client &amp; tools </td>
<td class='confluenceTd'> <a href="http://www.apache.org/dist/qpid/0.5/qpid-java-0.5.tar.gz"
rel="nofollow">http://www.apache.org/dist/qpid/0.5/qpid-java-0.5.tar.gz</a> </td>
<td class='confluenceTd'> client </td>
<td class='confluenceTd'> Y </td>
</tr>
</tbody></table>

<h3><a name="Download-SingleComponentPackage"></a>Single Component Package</h3>

<p><b>Broker</b></p>
<table class='confluenceTable'><tbody>
<tr>
<th class='confluenceTh'> Language </th>
<th class='confluenceTh'> Download </th>
<th class='confluenceTh'> AMQP 0-10 </th>
<th class='confluenceTh'> AMQP 0-8/0-9 </th>
</tr>
<tr>
<td class='confluenceTd'> Java </td>
<td class='confluenceTd'> <a href="http://www.apache.org/dist/qpid/0.5/qpid-java-broker-0.5.tar.gz"
rel="nofollow">http://www.apache.org/dist/qpid/0.5/qpid-java-broker-0.5.tar.gz</a>
</td>
<td class='confluenceTd'>&nbsp;</td>
<td class='confluenceTd'> Y </td>
</tr>
</tbody></table>

<p><b>Client</b></p>
<table class='confluenceTable'><tbody>
<tr>
<th class='confluenceTh'> Language </th>
<th class='confluenceTh'> Download </th>
<th class='confluenceTh'> AMQP 0-10 </th>
<th class='confluenceTh'> AMQP 0-8/0-9 </th>
</tr>
<tr>
<td class='confluenceTd'> C# (.NET, WCF, Excel) 0-10 client (C+&#43; Broker Compatible)
</td>
<td class='confluenceTd'> <a href="http://www.apache.org/dist/qpid/0.5/qpid-dotnet-0-10-0.5.zip"
rel="nofollow">http://www.apache.org/dist/qpid/0.5/qpid-dotnet-0-10-0.5.zip</a> </td>
<td class='confluenceTd'> Y </td>
<td class='confluenceTd'>&nbsp;</td>
</tr>
<tr>
<td class='confluenceTd'> C# (.NET) 0-8 client (Java Broker Compatible) </td>
<td class='confluenceTd'> <a href="http://www.apache.org/dist/qpid/0.5/qpid-dotnet-0-8-0.5.zip"
rel="nofollow">http://www.apache.org/dist/qpid/0.5/qpid-dotnet-0-8-0.5.zip</a> </td>
<td class='confluenceTd'>&nbsp;</td>
<td class='confluenceTd'> Y </td>
</tr>
<tr>
<td class='confluenceTd'> Java </td>
<td class='confluenceTd'> <a href="http://www.apache.org/dist/qpid/0.5/qpid-java-client-0.5.tar.gz"
rel="nofollow">http://www.apache.org/dist/qpid/0.5/qpid-java-client-0.5.tar.gz</a>
</td>
<td class='confluenceTd'> Y </td>
<td class='confluenceTd'> Y </td>
</tr>
<tr>
<td class='confluenceTd'> Python </td>
<td class='confluenceTd'> <a href="http://www.apache.org/dist/qpid/0.5/qpid-python-0.5.tar.gz"
rel="nofollow">http://www.apache.org/dist/qpid/0.5/qpid-python-0.5.tar.gz</a> </td>
<td class='confluenceTd'> Y </td>
<td class='confluenceTd'> Y </td>
</tr>
<tr>
<td class='confluenceTd'> Ruby </td>
<td class='confluenceTd'> <a href="http://www.apache.org/dist/qpid/0.5/qpid-ruby-0.5.tar.gz"
rel="nofollow">http://www.apache.org/dist/qpid/0.5/qpid-ruby-0.5.tar.gz</a> </td>
<td class='confluenceTd'> Y </td>
<td class='confluenceTd'> Y </td>
</tr>
</tbody></table>

<p><b>Management tools</b></p>

<p>C+&#43; broker management</p>
<table class='confluenceTable'><tbody>
<tr>
<th class='confluenceTh'> Component </th>
<th class='confluenceTh'> Download </th>
<th class='confluenceTh'> AMQP 0-10 </th>
</tr>
<tr>
<td class='confluenceTd'> cmd line (packaged with python) </td>
<td class='confluenceTd'> <a href="http://www.apache.org/dist/qpid/0.5/qpid-python-0.5.tar.gz"
rel="nofollow">http://www.apache.org/dist/qpid/0.5/qpid-python-0.5.tar.gz</a> </td>
<td class='confluenceTd'> Y </td>
</tr>
<tr>
<td class='confluenceTd'> QMan JMX bridge, WS-DM </td>
<td class='confluenceTd'> <a href="http://www.apache.org/dist/qpid/0.5/qpid-management-client-0.5.tar.gz"
rel="nofollow">http://www.apache.org/dist/qpid/0.5/qpid-management-client-0.5.tar.gz</a>
</td>
<td class='confluenceTd'> Y </td>
</tr>
</tbody></table>

<p>Java broker management</p>
<table class='confluenceTable'><tbody>
<tr>
<th class='confluenceTh'> Component </th>
<th class='confluenceTh'> Download </th>
</tr>
<tr>
<td class='confluenceTd'> Eclipse RCP client <br clear="all" /> </td>
<td class='confluenceTd'> <a href="http://www.apache.org/dist/qpid/0.5/qpid-management-eclipse-plugin-0.5-linux-gtk-x86.tar.gz"
rel="nofollow">Linux x86</a> <a href="http://www.apache.org/dist/qpid/0.5/qpid-management-eclipse-plugin-0.5-linux-gtk-x86_64.tar.gz"
rel="nofollow">Linux x86_64</a> <a href="http://www.apache.org/dist/qpid/0.5/qpid-management-eclipse-plugin-0.5-macosx.zip"
rel="nofollow">Mac OS X</a> <a href="http://www.apache.org/dist/qpid/0.5/qpid-management-eclipse-plugin-0.5-win32-win32-x86.zip"
rel="nofollow">Windows x86</a> </td>
</tr>
<tr>
<td class='confluenceTd'> Command line interface </td>
<td class='confluenceTd'> <a href="http://www.apache.org/dist/qpid/0.5/qpid-management-tools-qpid-cli-0.5.tar.gz"
rel="nofollow">http://www.apache.org/dist/qpid/0.5/qpid-management-tools-qpid-cli-0.5.tar.gz</a>
</td>
</tr>
</tbody></table>


<h2><a name="Download-ContributedC%5CPackages"></a>Contributed C+&#43;
Packages</h2>

<h3><a name="Download-PrebuiltLinuxPackages"></a>Pre-built Linux Packages</h3>

<h4><a name="Download-Fedora8%2C9%2C10"></a>Fedora 8, 9, 10</h4>

<p>On Fedora, Qpid can be installed using yum. Because Java RPMs are not yet available
in Fedora repos, the Java client is not in these distributions.</p>

<p>To install the server:</p>
<div class="code panel" style="border-width: 1px;"><div class="codeContent panelContent">
<pre class="code-java">
# yum install qpidd
</pre>
</div></div>
<p>To install C+&#43; and Python clients:</p>
<div class="code panel" style="border-width: 1px;"><div class="codeContent panelContent">
<pre class="code-java">
# yum install qpidc-devel
</pre>
</div></div>
<div class="code panel" style="border-width: 1px;"><div class="codeContent panelContent">
<pre class="code-java">
# yum install amqp python-qpid
</pre>
</div></div>
<p>To install documentation:</p>
<div class="code panel" style="border-width: 1px;"><div class="codeContent panelContent">
<pre class="code-java">
# yum install rhm-docs
</pre>
</div></div>
<p>To install persistence using an external store module:</p>
<div class="code panel" style="border-width: 1px;"><div class="codeContent panelContent">
<pre class="code-java">
# yum install rhm
</pre>
</div></div>

<h3><a name="Download-WindowsInstaller"></a>Windows Installer</h3>

<p>The Windows installer is available from <a href="http://www.apache.org/dist/qpid/0.5-windows/qpidc-0.5.msi"
rel="nofollow">http://www.apache.org/dist/qpid/0.5-windows/qpidc-0.5.msi</a>. It
is built from the 0.5 C+&#43; broker and client source distribution listed above. It has
been tested for Windows XP SP2 and above.</p>

<p>The Windows executables require the Visual C+&#43; 2008 SP1 run-time components.
If the Visual C+&#43; 2008 SP1 runtime is not available, the Qpid broker will not execute.
If you intend to run the broker and Visual C+&#43; 2008 is not installed, you must install
the Visual C+&#43; 2008 SP1 Redistributable. Please see <a href="http://www.microsoft.com/downloads/details.aspx?familyid=A5C84275-3B97-4AB7-A40D-3802B2AF5FC2&amp;displaylang=en"
rel="nofollow">http://www.microsoft.com/downloads/details.aspx?familyid=A5C84275-3B97-4AB7-A40D-3802B2AF5FC2&amp;displaylang=en</a>
for download and installation instructions.</p>

<p>If you intend to develop Qpid client applications using this kit, you should install
<a href="http://www.boostpro.com/download/boost_1_35_0_setup.exe" rel="nofollow">Boost
version 1.35</a> (please be sure to select VC9 support when installing) in addition
to Visual Studio 2008 SP1.</p>

<h2><a name="Download-SourceCodeRepository"></a>Source Code Repository</h2>

<p>The latest version of the code is always available in the <a href="/confluence/display/qpid/Source+Repository"
title="Source Repository">Source Repository</a>.</p>
     </div>
     <div id="commentsSection" class="wiki-content pageSection">
       <div style="float: right;">
            <a href="http://cwiki.apache.org/confluence/users/viewnotifications.action"
class="grey">Change Notification Preferences</a>
       </div>

       <a href="http://cwiki.apache.org/confluence/display/qpid/Download">View Online</a>
       |
       <a href="http://cwiki.apache.org/confluence/pages/diffpagesbyversion.action?pageId=34042&revisedVersion=81&originalVersion=80">View
Change</a>
              |
       <a href="http://cwiki.apache.org/confluence/display/qpid/Download?showComments=true&amp;showCommentArea=true#addcomment">Add
Comment</a>
            </div>
</div>
</div>
</div>
</div>
</body>
</html>

---------------------------------------------------------------------
Apache Qpid - AMQP Messaging Implementation
Project:      http://qpid.apache.org
Use/Interact: mailto:commits-subscribe@qpid.apache.org


Mime
View raw message